Bug 178242 - mmap wastes too much virtual address space on x86
mmap wastes too much virtual address space on x86
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-01-18 14:44 EST by Larry Woodman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-11 17:03:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
program to illustrate address spave waste. (3.68 KB, text/plain)
2006-01-18 14:46 EST, Larry Woodman
no flags Details

  None (edit)
Description Larry Woodman 2006-01-18 14:44:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2) Gecko/20040301

Description of problem:

The arch_get_unmapped_nonexecutable_area() function relies on the non_executable_cache to locate where mmap()'d and malloc()'d memory will be allocated.  While this results in fast searches through a virtual address space, it wastes too much virtual address space for 32-bit systems and applications.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run the attached program 

Actual Results:  program terminated after only 100 mmap()s

Expected Results:  Program should sucessfully mmap() about 800 times

Additional info:
Comment 1 Larry Woodman 2006-01-18 14:46:15 EST
Created attachment 123398 [details]
program to illustrate address spave waste.
Comment 2 Larry Woodman 2006-12-11 16:06:33 EST
We should probably just close this BZ as WONTFIX because patch
1205.lwoodman.x86-mmap-vas-waste.patch was rejected.

Larry Woodman
Comment 3 Ernie Petrides 2006-12-11 17:03:14 EST
Closing based on last comment.

Note You need to log in before you can comment on or make changes to this bug.